html,
body {
    -ms-touch-action: none;
    /* background: #0089d7; */
    background: #005991;
    padding: 0;
    border: 0;
    margin: 0;
    /* height: 100%; */
    /* 
    自动广告插入会给body设置overflow：hidden 
    fungameloft 有看到这种现象，但是958好像并没有这种现象，加上双保险吧
    */
    overflow: auto!important; 
    width: 100vw;
    position: relative;
}


.landRecomd_ul {
  list-style: none;
  height: 100vh;
  margin-left: -25px;
  margin-right: 15px;
  margin-top: 0px;
  overflow-y: auto;
}


#parentxxx {
  /* position: absolute;
  width: 100%;
  height: 100vh;
  left: 0px;
  top: 0;
  display: inline-block; */
  position: absolute;
  background: #0e334c;
  width: 100%;
  height: 85vh; /*浏览器地址栏会导致这个值变化*/
  /* height: auto; */
  left: 0px; 
  top: 0;
  /* visibility: hidden; */
  display:flex;  /*导致游戏不会提前加载*/
  margin-bottom: 3px;
  z-index: 99;
}

#gameFrameContainer {
  position: relative;
  width: 100%;
  height: 85vh; /*浏览器地址栏会导致这个值变化*/
  /* height: auto; */
  left: 0px; 
  top: 0;
  /* visibility: hidden; */
  display:block;  /*导致游戏不会提前加载*/
  margin-bottom: 0px;
}

#gdt_1 {
  position:absolute;
  top:0px;
  width:100%;
  height: 100px;
  text-align: center;
}
#view1  {
  position: relative;
  color: #fff;
  background: #005991;
  /* height: 100vh; */
  width: 100%;
  min-height: 15vh  !important;
}
#view1 .top-info {
  display : none;
  padding-top: 5.8667vw;
  margin-bottom: 5.9663vw;
}

#view1__ad {
  background: #005991/*rgb(125 90 50 / 61%)*/;
  /* height: calc(100vw - 30.5642vw); */
  margin: 0 auto;
  align-items: flex-start;
  width: 100%;
  height: 120px;
} 
#view1__ad > ins {
  display: block;
  width: 100%;
  height: 100%;
}


.recommend-line {
  background: rgb(125 90 50 / 74%);
  border-radius: 1.5564vw;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1.4267vw;
}
.recommend-item {
  background: #fff;
  width: 40.9857vw;
  height: 22.0493vw; 
}
.recommend-item img {
  width: 100%;
  height: 100%;
}
.recommend-line-descs {
  color: #fff;
  padding: 3.1128vw 0;
  font-size: 0;
}
.recommend-line-desc-item {
  display: inline-block;
  width: 50%;
  font-size: 3.4241vw;
  padding-left: 2.594vw;
  box-sizing: border-box;
}




#view1 .loading-tips {
  margin-top: 8px;
  text-align: center;
  margin-bottom: 14px;
}



@keyframes spCircRot {
  0% {
      transform: rotate(0)
  }

  to {
      transform: rotate(359deg)
  }
}



#gdt_3 {
  position:fixed;
  width: 100%; 
  height:100%;
  z-index: 9999;
  background-color: #000000;
  display: none;
  top: 0;
  left: 0;
}
#gdt_3 .afg-wrapper {
  position:absolute;
  top: 80px;
  width: 100%; 
  bottom: 0px
}

#gdt_3 .afc-wrapper {
  position:absolute;
  top: 0px;
  width: 100%; 
  bottom: 0px;
  text-align: center;
}

#gdt_3 .dynamic-afc {
  width: 100%;
  top: 50%;
  left:50%;
  transform: translateX(-50%) translateY(-50%);
  font-size: 20.7px;
  position: absolute;
  text-align: center;
  background: #eee;
}

#view1 .recommend-block {
  margin: 0 6.4851vw;
  margin-top: 10.8949vw;
  display: block;
}

#litest {
  border-radius: 15px;
  background-color: #76af2b;
  width: 90px;
  height: 90px;
  margin-top: 5px;
  margin-left: 0px;
  margin-bottom: 0px;
  margin-right: 0px;
  display: flex;
  align-items: center;
  justify-content: center;
}

#recommond_lad {
  float: left;
  left: 120px;
  width: auto;
  height: 100vh;
}

#view3__ad {
  float: left;
  background: #132e48/*rgb(125 90 50 / 61%)*/;
  /* width: calc(100vw - 15.5642vw); */
  width: 120px;
  height: 100vh;
}

#view3__ad > ins {
  display: block;
  /* width: inherit; */
  width: 120px;
  height: 100vh;
}


#view4__ad {
  float: left;
  background: #132e48/*rgb(125 90 50 / 61%)*/;
  /* width: calc(100vw - 15.5642vw); */
  width: 120px;
  height: 100vh;
}

#view4__ad > ins {
  display: block;
  /* width: inherit; */
  width: 120px;
  height: 100vh;
}


.afc-wrapper__play {
  width: 30%;
  height: 32px;
  line-height: 32px; 
  border: 3px solid #fff;
  border-radius: 8px;
  position: absolute;
  top: 0;
  margin-top: 40px;
  margin-left: 35%;
  text-align: center; 
}

.afc-wrapper #progress {
  display: block;
  width: 100%;
  height: 100%;
  background: #76af2b;
  border-radius: 4px;
  box-shadow: 0 0 6px 0 #8435d9;
  transition: width .5s; 
  color: white;
  text-align: center;
  font-size: 20px;
}

.interstitial-root {
  position: fixed;
  top: 0;
  bottom: 0;
  overflow-y: scroll;
  left: 0;
  width: 100vw;
  background: url('../imgs/bg-part.jpeg') repeat;
  background-size: 40px 41px;
  z-index: 99999;
}

.interstitial-root .ir-header {
  height: 18.5185vw;
  background: url('../imgs/ir-header.png') center center no-repeat;
  background-size: 62.963vw 5.3704vw;
}
.interstitial-root .ad-container-wrapper {
  background: #fff;
  padding: 2.5926vw 0;
}
.interstitial-root .ad-container {
  margin: 0 auto;
  height: 300px;
  background: #eee;
}
.interstitial-root .btn.continue {
  margin-top: 4.6296vw;
}
.interstitial-root .btn {
  width: 36.8519vw;
  height: 12.1296vw;
  margin: 0 auto;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  background: linear-gradient(180deg, #FFDB15, #EDB700);
  border: 1.3889vw solid #FFFFFF;
  box-shadow: 0px 0.5556vw 2.8704vw 0.8333vw #BF7700;
  font-size: 3.7037vw;
  font-weight: bold;
  color: #FFFFFF;
  /* line-height: 1.1111vw; */
  /* padding: 4.1667vw 3.3333vw; */
  border: 1.3889vw solid #fff;
  border-radius: 2.7778vw;
}

.interstitial-root .more-games .more-game-header {
  height: 4.8148vw;
  background: url('../imgs/more-title.png') center center no-repeat;
  background-size: 43.8889vw 4.8148vw;
  margin: 8.3333vw 0 4.2593vw 0;
}

.interstitial-root .more-game-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  background: #000;
  background: rgb(0 0 0 / 15%);
  padding: 2.6852vw 3.3333vw;
  padding-bottom: 0;
  margin-bottom: 6.0185vw;
}
.interstitial-root .more-game-item {
  width: 29.4444vw;
  height: 34.7222vw;
  position: relative;
  margin-bottom: 2.6852vw;
}
.interstitial-root .more-game-item .game-icon {
  width: 100%;
  height: 100%;
  border-radius: 3.7037vw;
}


.interstitial-root .more-game-item .game-name {
  position: absolute;
  width: 81.1%;
  bottom: 2.5vw;
  left: 50%;
  transform: translateX(-50%);
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  color: #fff;
  font-size: 3.7037vw;
  line-height: 3.9815vw;
  text-align: center;
}

.interstitial-root .ir-textarea {
  width: 93.5185vw;
  height: 44.537vw;
  border-radius: 2.7778vw;
  background: #fff;
  margin: 0 auto;
  border: none;
  display: block;
  resize: none;
  padding: 1em;
  box-sizing: border-box;
}

.interstitial-root .submit-btn.btn {
  margin: 5.5556vw auto 22.2222vw auto;
}

.toast-root {
  position: fixed;
  left: 50vw;
  top: 50vh;
  transform: translate(-50%, -50%);
  padding: 0.25em 1em;
  border-radius: 4px;
  color: #fff;
  max-width: 80vw;
  min-width: 40px;
  text-align: center;
  background: rgb(0 0 0 / 65%);
  font-size: 14px;
  z-index: 9999999;
  animation: fadeInOut 2s ease-in-out forwards;
}

@keyframes fadeInOut {
  0% {
    opacity: 0;
  }
  20% {
    opacity: 1;
  }
  80% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}




.lds-spinner {
  color: official;
  display: inline-block;
  position: absolute;
  width: 30px;
  height: 30px;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
.lds-spinner div {
  transform-origin: 15px 15px;
  animation: lds-spinner 1.2s linear infinite;
}
.lds-spinner div:after {
  content: " ";
  display: block;
  position: absolute;
  top: 6px;
  left: 15px;
  width: 2px;
  height: 5px;
  border-radius: 20%;
  background: #fff;
}
.lds-spinner div:nth-child(1) {
  transform: rotate(0deg);
  animation-delay: -1.1s;
}
.lds-spinner div:nth-child(2) {
  transform: rotate(30deg);
  animation-delay: -1s;
}
.lds-spinner div:nth-child(3) {
  transform: rotate(60deg);
  animation-delay: -0.9s;
}
.lds-spinner div:nth-child(4) {
  transform: rotate(90deg);
  animation-delay: -0.8s;
}
.lds-spinner div:nth-child(5) {
  transform: rotate(120deg);
  animation-delay: -0.7s;
}
.lds-spinner div:nth-child(6) {
  transform: rotate(150deg);
  animation-delay: -0.6s;
}
.lds-spinner div:nth-child(7) {
  transform: rotate(180deg);
  animation-delay: -0.5s;
}
.lds-spinner div:nth-child(8) {
  transform: rotate(210deg);
  animation-delay: -0.4s;
}
.lds-spinner div:nth-child(9) {
  transform: rotate(240deg);
  animation-delay: -0.3s;
}
.lds-spinner div:nth-child(10) {
  transform: rotate(270deg);
  animation-delay: -0.2s;
}
.lds-spinner div:nth-child(11) {
  transform: rotate(300deg);
  animation-delay: -0.1s;
}
.lds-spinner div:nth-child(12) {
  transform: rotate(330deg);
  animation-delay: 0s;
}
@keyframes lds-spinner {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

.oafg-container {
  display: flex;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 99999999;
  justify-content: center;
  align-items: center;
  color: #fff;
  background: #000;
  position: fixed;
}
.oafg-inner {
  display: flex;
  width: 100%;
  min-height: 300px;
  justify-content: center;
  align-items: center;
}
.oafg-container .foot-action-wrapper {
  position: absolute;
  right: 0;
  bottom: 0;
  /* padding-right: 20px; */
  padding-bottom: 20px;
  text-align: right;
}
.click-counter {
  padding-right: 20px;
  font-size: 14px;
}
.click-btn {
  border: 1px solid #ddd;
  border-right: none;
  /* display: inline-block; */
  display: none;
  font-weight: bold;
  padding: 10px 0 10px 20px;
  font-size: 16px;
}
.close-counter {
  font-size: 14px;
  color: #ddd;
  margin-top: 5px;
  margin-right: 20px;
}
.click-btn-inner {
  padding-right: 20px;
}

.global.game-playing #view1__ad {
  padding-top: 5px;
}
a.loading-bar {
  color: #fff;
}




#out_rotateDeviceBG {
  background-color: rgba(0, 0, 0, 1);
  position: fixed;
  width: 100%;
  height: 100%;
  left: 0%;
  top: 0%;
  text-align: center;
  visibility: hidden;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  z-index: 998;
}

.out_phone {
  height: 100px;
  width: 200px;
  border: 4px solid white;
  border-radius: 10px;
  animation: out_rotate 1.5s ease-in-out infinite alternate;
}

.out_message {
  color: white;
  font-size: 1em;
  text-align: center;
}

@keyframes out_rotate {
  0% {
      transform: rotate(0deg)
  }

  50% {
      transform: rotate(-90deg)
  }

  100% {
      transform: rotate(-90deg)
  }
}

@media only screen and (max-device-width: 812px) and (orientation: landscape) {
  .out_phone,
  .out_message {
      display: block;
  }
}
#reward_banner {
  width: 320px;              /* 适配谷歌banner的常见宽度 */
  height: 100px;
  position: fixed;
  bottom: 1px;              /* 靠底部 */
  left: 50%;
  transform: translateX(-50%);

  display: none;             /* 默认隐藏 */
  /* 背景透明 */
  /* background: transparent;    */
  z-index: 99999;            /* 保证在最上层 */
  /* border: #009a44 1px solid; */
  color: #fff;
}

/* 关闭按钮 */
#close_reward_banner {
  position: absolute;
  top: 2px;
  right: 2px;
  width: 20px;
  height: 20px;
  border: none;
  border-radius: 50%;
  background: rgba(0,0,0,0.6);
  /* border: #009a44 1px solid; */
  color: #fff;
  font-size: 14px;
  cursor: pointer;
  z-index: 100000;
}
#reward_banner ins.adsbygoogle {
  display: inline-block;
  width: 320px;
  height: 250px;
}